Metrics Lab
GET /v1/metrics-lab/lab/{lab_id}
Get a Metrics Lab lab.
GET /v1/metrics-lab/lab/{lab_id}
curl --request GET \
--url https://api.getbluejay.ai/v1/metrics-lab/lab/{lab_id}import requests
url = "https://api.getbluejay.ai/v1/metrics-lab/lab/{lab_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.getbluejay.ai/v1/metrics-lab/lab/{lab_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getbluejay.ai/v1/metrics-lab/lab/{lab_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getbluejay.ai/v1/metrics-lab/lab/{lab_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getbluejay.ai/v1/metrics-lab/lab/{lab_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getbluejay.ai/v1/metrics-lab/lab/{lab_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyReturns the full lab. Poll this endpoint after you queue evaluations. Each evaluation has a
status, such as QUEUED, EVALUATING, or COMPLETED.
Path parameters
Headers
Response
Status codes
| Status | Meaning |
|---|---|
200 | Successful Response |
422 | Validation Error |
Example request
curl --request GET \
--url https://api.getbluejay.ai/v1/metrics-lab/lab/{lab_id} \
--header 'X-API-Key: <api-key>'
Example response
200
{
"lab": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"created_at": "2026-01-01T00:00:00Z"
},
"conversations": [
{
"id": "<string>",
"type": "obs_conversation",
"call_id": "<string>",
"test_result_id": 123,
"agent_id": 0,
"start_time_utc": "2026-01-01T00:00:00Z",
"duration_ms": 123,
"duration_s": 123,
"status": "<string>",
"tags": [
"<string>"
]
}
],
"metrics": [
{
"id": "<string>",
"name": "<string>",
"prompt": "<string>",
"response_type": "<string>",
"category": "<string>",
"min_value": 1.5,
"max_value": 1.5,
"enum_options": [
"<string>"
],
"eval_route": "<string>",
"model": "<string>",
"audio_model": "<string>",
"temperature": 1.5,
"allow_not_applicable": true
}
],
"human_evaluations": [
{
"id": "<string>",
"custom_metric_id": "<string>",
"call_id": "<string>",
"test_result_id": 123,
"human_response_value": "<string>",
"human_reasoning": "<string>",
"created_at": "2026-01-01T00:00:00Z"
}
],
"ai_evaluations": [
{
"id": "<string>",
"custom_metric_id": "<string>",
"call_id": "<string>",
"test_result_id": 123,
"response_value": "<string>",
"reasoning": "<string>",
"status": "<string>",
"created_at": "2026-01-01T00:00:00Z"
}
],
"metric_revisions": [
{
"id": "<string>",
"custom_metric_id": "<string>",
"lab_id": "<string>",
"revision_number": 123,
"description": "<string>",
"eval_route": "<string>",
"model": "<string>",
"audio_model": "<string>",
"temperature": 1.5,
"eval_enabled": "<string>",
"allow_not_applicable": true,
"created_at": "2026-01-01T00:00:00Z"
}
],
"lab_ai_evaluations": [
{
"id": "<string>",
"lab_metric_revision_id": "<string>",
"call_id": "<string>",
"test_result_id": 123,
"response_value": "<string>",
"reasoning": "<string>",
"status": "<string>",
"created_at": "2026-01-01T00:00:00Z"
}
]
}
Last modified on October 21, 2026
⌘I
GET /v1/metrics-lab/lab/{lab_id}
curl --request GET \
--url https://api.getbluejay.ai/v1/metrics-lab/lab/{lab_id}import requests
url = "https://api.getbluejay.ai/v1/metrics-lab/lab/{lab_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.getbluejay.ai/v1/metrics-lab/lab/{lab_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getbluejay.ai/v1/metrics-lab/lab/{lab_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getbluejay.ai/v1/metrics-lab/lab/{lab_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getbluejay.ai/v1/metrics-lab/lab/{lab_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getbluejay.ai/v1/metrics-lab/lab/{lab_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body